List directory
Lists entries from the specified directory.
Request
POST
https://api.datalens.tech/rpc/listDirectory
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"path": "example",
"createdBy": "example",
"orderBy": {
"field": "createdAt",
"direction": "desc"
},
"filters": {
"name": "example"
},
"page": 0.5,
"pageSize": 0.5,
"includePermissionsInfo": true
}
|
Name |
Description |
||||
|
createdBy |
Any of 2 types
Filter entries by creator. Example: |
||||
|
filters |
Type: object
Filtering configuration. Example
|
||||
|
includePermissionsInfo |
Type: boolean Include permission information in response. |
||||
|
orderBy |
Type: object
Sorting configuration. Example
|
||||
|
page |
Type: number Page number for pagination. |
||||
|
pageSize |
Type: number Number of entries per page. |
||||
|
path |
Type: string Directory path to list entries from. Example: |
Responses
200 OK
Response
Body
application/json
{
"hasNextPage": true,
"breadCrumbs": [
{
"title": "example",
"path": "example",
"entryId": "example",
"isLocked": true,
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
}
}
],
"entries": [
{
"entryId": "example",
"key": "example",
"scope": "dash",
"type": "example",
"meta": {},
"createdAt": "example",
"updatedAt": "example",
"createdBy": "example",
"updatedBy": "example",
"savedId": "example",
"publishedId": "example",
"hidden": true,
"workbookId": "example",
"workbookTitle": "example",
"collectionId": "example",
"collectionTitle": "example",
"isFavorite": true,
"isLocked": true,
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
},
"name": "example"
}
]
}
|
Name |
Description |
|
breadCrumbs |
Type: ListDirectoryBreadCrumb[] Navigation breadcrumbs for the current path. Example
|
|
entries |
Type: ListDirectoryEntry[] List of directory entries. Example
|
|
hasNextPage |
Type: boolean Indicates if there are more pages. |
ListDirectoryBreadCrumb
|
Name |
Description |
||||||||
|
entryId |
Type: string Entry ID of the breadcrumb item. Example: |
||||||||
|
isLocked |
Type: boolean Indicates if the item is locked. |
||||||||
|
path |
Type: string Path of the breadcrumb item. Example: |
||||||||
|
permissions |
Type: object
Permissions for the breadcrumb item. Example
|
||||||||
|
title |
Type: string Title of the breadcrumb item. Example: |
Example
{
"title": "example",
"path": "example",
"entryId": "example",
"isLocked": true,
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
}
}
EntryScope
Type of the entry, e.g. dash — dashboard, widget — chart, etc.
Type: string
Enum: dash, report, widget, dataset, folder, connection, compute, artifact
ListDirectoryEntry
|
Name |
Description |
||||||||
|
collectionId |
Type: string | null ID of the collection the entry belongs to. Example: |
||||||||
|
createdAt |
Type: string Creation timestamp. Example: |
||||||||
|
createdBy |
Type: string Creator of the entry. Example: |
||||||||
|
entryId |
Type: string Unique identifier of the entry. Example: |
||||||||
|
hidden |
Type: boolean Indicates if the entry is hidden. |
||||||||
|
isFavorite |
Type: boolean Indicates if the entry is marked as favorite. |
||||||||
|
isLocked |
Type: boolean Indicates if the entry is locked. |
||||||||
|
key |
Type: string Key identifier of the entry. Example: |
||||||||
|
meta |
Type: object | null Metadata associated with the entry. Example
|
||||||||
|
name |
Type: string Name of the entry. Example: |
||||||||
|
publishedId |
Type: string | null Published version ID. Example: |
||||||||
|
savedId |
Type: string Saved version ID. Example: |
||||||||
|
scope |
Type: EntryScope Type of the entry, e.g. Enum: |
||||||||
|
type |
Type: string Type of the entry (e.g., dash, dataset, connection). Example: |
||||||||
|
updatedAt |
Type: string Last update timestamp. Example: |
||||||||
|
updatedBy |
Type: string Last updater of the entry. Example: |
||||||||
|
workbookId |
Type: string ID of the workbook the entry belongs to. Example: |
||||||||
|
collectionTitle |
Type: string | null Collection name. Example: |
||||||||
|
permissions |
Type: object
Permissions for the entry. Example
|
||||||||
|
workbookTitle |
Type: string | null Workbook name. Example: |
Example
{
"entryId": "example",
"key": "example",
"scope": "dash",
"type": "example",
"meta": {},
"createdAt": "example",
"updatedAt": "example",
"createdBy": "example",
"updatedBy": "example",
"savedId": "example",
"publishedId": "example",
"hidden": true,
"workbookId": "example",
"workbookTitle": "example",
"collectionId": "example",
"collectionTitle": "example",
"isFavorite": true,
"isLocked": true,
"permissions": {
"execute": true,
"read": true,
"edit": true,
"admin": true
},
"name": "example"
}